Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlMessage.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlMessage.PropertyKeys>
          javax.faces.component.html.HtmlMessage.PropertyKeys

All Implemented Interfaces:
  Serializable, Comparable<HtmlMessage.PropertyKeys>

Enclosing class:
  HtmlMessage

    protected static enum HtmlMessage.PropertyKeys

extends Enum<HtmlMessage.PropertyKeys>

Enum Constant Summary
`dir`
`errorClass`
`errorStyle`
`fatalClass`
`fatalStyle`
`infoClass`
`infoStyle`
`lang`
`style`
`styleClass`
`title`
`tooltip`
`warnClass`
`warnStyle`

Method Summary
`String` | `toString()`
`static HtmlMessage.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlMessage.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final HtmlMessage.PropertyKeys dir

### errorClass

    public static final HtmlMessage.PropertyKeys errorClass

### errorStyle

    public static final HtmlMessage.PropertyKeys errorStyle

### fatalClass

    public static final HtmlMessage.PropertyKeys fatalClass

### fatalStyle

    public static final HtmlMessage.PropertyKeys fatalStyle

### infoClass

    public static final HtmlMessage.PropertyKeys infoClass

### infoStyle

    public static final HtmlMessage.PropertyKeys infoStyle

### lang

    public static final HtmlMessage.PropertyKeys lang

### style

    public static final HtmlMessage.PropertyKeys style

### styleClass

    public static final HtmlMessage.PropertyKeys styleClass

### title

    public static final HtmlMessage.PropertyKeys title

### tooltip

    public static final HtmlMessage.PropertyKeys tooltip

### warnClass

    public static final HtmlMessage.PropertyKeys warnClass

### warnStyle

    public static final HtmlMessage.PropertyKeys warnStyle

Method Detail

### values

    public static HtmlMessage.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlMessage.PropertyKeys c : HtmlMessage.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlMessage.PropertyKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlMessage.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.